POST Agents/Find/FindWithColumns
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Find/FindWithColumns
Execute a Find operation and return a page of results.
The criteria for the Find are fetched from the restriction storage provider according to the given parameters. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Find/FindWithColumns?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
StorageType, ProviderName, StorageKey, DesiredColumns, PageSize, PageNumber, OrderBy
| Property Name | Type | Description |
|---|---|---|
| StorageType | String | |
| ProviderName | String | |
| StorageKey | String | |
| DesiredColumns | Array | |
| PageSize | Integer | |
| PageNumber | Integer | |
| OrderBy | Array |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: FindResults
| Property Name | Type | Description |
|---|---|---|
| ArchiveColumns | array | Array of ColumnInfo column specifications |
| ArchiveRows | array | Array of archive list items, i.e., the service layer carrier for archive rows. These are the find results, represented as archive rows |
| RowCount | int32 | Count of rows, independent of paging. If you order up page 1 with page size 50, the row count may still be 279, that being the number of rows that would have been returned in a paging-off situation |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Find/FindWithColumns
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"StorageType": "est",
"ProviderName": "Mitchell-Kovacek",
"StorageKey": "enim",
"DesiredColumns": [
"ratione",
"ab"
],
"PageSize": 247,
"PageNumber": 773,
"OrderBy": [
{
"Name": "Ratke Inc and Sons",
"Direction": "ASC"
},
{
"Name": "Ratke Inc and Sons",
"Direction": "ASC"
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ArchiveColumns": [
{
"DisplayName": "Abshire Inc and Sons",
"DisplayTooltip": "adipisci",
"DisplayType": "velit",
"CanOrderBy": false,
"Name": "Shields Group",
"CanRestrictBy": false,
"RestrictionType": "est",
"RestrictionListName": "Rowe Group",
"IsVisible": false,
"ExtraInfo": "soluta",
"Width": "necessitatibus",
"IconHint": "aliquid",
"HeadingIconHint": "non"
}
],
"ArchiveRows": [
{
"EntityName": "Johnson-Hintz",
"PrimaryKey": 165,
"ColumnData": {
"fieldName": {
"DisplayValue": "magni",
"TooltipHint": "id",
"LinkHint": "ipsa"
}
},
"LinkHint": "earum",
"StyleHint": "numquam",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 166
}
}
}
],
"RowCount": 963,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 408
}
}
}